unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, PSKCoreIntf, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Label1: TLabel;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Memo1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
    procedure MSGDATARDY(var Message: TMessage); message MSG_DATARDY;
  public
    { Public declarations }
    Procedure ShowErrMsg;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormShow(Sender: TObject);
begin
  if fnStartSoundCard(Handle, -1, 3) <> 0 then
    ShowErrMsg;

end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  fnStopSoundCard;
end;

procedure TForm1.ShowErrMsg;
var
  P: PChar;
begin
  GetMem(P, MAX_PATH);
  fnGetErrorString(P);
  MessageBox(Handle, P, 'PSKCore error:', MB_OK);
  FreeMem(P);
end;

procedure TForm1.Memo1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_RETURN then
  begin
    fnStartTX(0);
    fnSendTXString(PChar(Memo1.Lines.Text));
  end;
end;

procedure TForm1.MSGDATARDY(var Message: TMessage);
begin
  if fnGetTXCharsRemaining = 0 then
    fnStopTX;
end;

end.
 